commit 2ebb61f9f46b05e19561acb385797ee958a3be02
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Feb 13 12:00:18 2023 -0800

    xf86-video-s3virge 1.11.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b417da55efd24c57a68758a07977ceea5fdaf2e0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 8 17:19:55 2022 -0800

    S3VSetCursorColors: quiet -Wimplicit-fallthrough warnings
    
    gcc doesn't accept the existing comments because they have
    additional text after the "else fall through" magic words
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cad06d6891bdabb42b0db84b35e7d4b802edc5d2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 8 17:16:51 2022 -0800

    S3VSetupImageVideoOverlay: Fix 44 -Wnull-dereference warnings from gcc
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d058d086c0be050db54b3a19a303b3c5442938f1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 8 17:05:14 2022 -0800

    constify some argument declarations
    
    Clears 16 of 17 -Wdiscarded-qualifiers warnings from gcc
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4b097ae06ee8d260694f258af14c4c4f8480ad9c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6c66938ca97c2a24f96856c2e32010af052e9a6e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 30 12:20:22 2022 -0800

    Move [HV]Total checks into S3VValidMode
    
    Needed to build against Xorg 1.20 and later due to xorg/xserver@5a945f54
    Based on ajax's commit xf86-video-rendition@70dd6c22
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f34dc6c0ff1af714d97ec54d04a1b305b068244b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jan 27 17:39:07 2022 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9bffaf731cf1629c8a59b1f4808f6a92e535491d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jan 27 17:38:03 2022 -0800

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 25ae66103d9648185b1616959cf2c47a89099db6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jan 27 17:36:27 2022 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2b620c3fd42c304ee6808a25c205ea03d763032f
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Thu Feb 7 18:42:02 2019 -0800

    Version bumped to 1.11.0
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 824193dacb16415e8536aac8c3a46a5081cbcc67
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Dec 18 18:14:44 2018 -0600

    Eliminate unused function compilation warnings
    
    It is an XAA related issue.
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 80d285af637688630e9f7cdf52a3d8cce6db6b19
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Dec 18 18:03:48 2018 -0600

    Eliminate unused variable compilation warnings
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 5325b8f16bccdc4b8aea8e118e149e7a684d7e8c
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Tue Dec 18 17:59:11 2018 -0600

    Use const char for xf86GetOptValString return type
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit f1f616ae6b928f42b1ee9fc6312bd8d20b75c750
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:07:10 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 03d8241e33f785f8654c1bb6a923fb9e1815d215
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 18 16:13:36 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 81542ee8efb9662016aea717b018f126e47d325b
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:22 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit f35fe04a596e05292c01a56076b8810db02ec5af
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 803b043ed780dcd236019a1ca7a0f495785b0f54
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit df98ecd2b53814c2dda0352f2d0ead1edcb87c8a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 21:03:14 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c91e9061fd26104845a8f9a8beeaf1c4d98f0d69
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 21:03:13 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 47f43694645f3e6347b536d5e3fb2fee56e715ab
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Mon Sep 28 22:49:22 2015 +0200

    Add cast to remove a warning on 32-bit machines.
    
    PCI_REGION_BASE returns a 64-bit value, which needs to be converted
    down to 32-bit before it can be put into a 32-bit pointer.

commit 9c8a08c9c7a0f7ec591042abd5b4a0fb50c028f1
Author: Nick Hudson <skrll@NetBSD.org>
Date:   Mon Sep 28 22:49:21 2015 +0200

    Increase BIOS_BSIZE.
    
    libpciaccess expects a much bigger buffer when reading ROM.
    Bump it to the (normal) IO space size.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit 8a54ff31e6873d369ff94c75d630c21aab0f0e23
Author: Matt Turner <mattst88@gmail.com>
Date:   Sat Sep 26 09:29:51 2015 -0700

    xf86-video-s3virge 0.10.7
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 211e2831dcf13c6e5847f6caf894f559d9104c3d
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Sep 30 10:27:13 2014 -0400

    Remove call to miInitializeBackingStore
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 69b9adea709922e53ba422dd7f00aa4ac90d232e
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Sep 30 10:26:17 2014 -0400

    Fix build against xserver 1.17
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit d74238ca2faddb2e1c0b48333664688a5079a856
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 14:10:11 2014 -0400

    Use own thunk function instead of vgaHW*Weak
    
    I plan to remove the Weak functions from a future server.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit e7524461f8cb2a6e6e0bfb4f86bb3e3256708004
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 16:05:09 2012 +1000

    xf86-video-s3virge: bump to version 1.10.6
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit d930bc4864db7106e47304e2fe653267d1886463
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 14:49:26 2012 +1000

    s3virge: port to new X server compat API.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit fffd73884a0b18bac6f5c35614f21fca609e15e3
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 14:38:38 2012 +1000

    s3v: adjust to removal of XAA from server.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 28f8c5f5f957c0fac99d089137d675bf18db5773
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun May 13 10:43:13 2012 +0200

    xf86-video-s3virge 1.10.5
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 410e715e0b4bd1cc367b721601bac14ed4606b13
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun May 13 10:38:44 2012 +0200

    Fix distcheck
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 9bbacb9465e57e84d981f0326753b911593494d8
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun May 13 10:34:12 2012 +0200

    Avoid compiler warning for deprecated PCITAG
    
    It's only used in non-pciaccess builds.
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 1a17d10a4130e7ccff1d9ae07c44200d0520445c
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 8 11:34:35 2012 +0100

    Do not use deprecated xf86PciInfo.h
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit 5f0d2a32a81895ba0bf565de096cbdc8bca46c9e
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Mon Dec 26 18:04:11 2011 +0100

    Replace deprecated x(c/re)alloc/xfree with m/c/realloc/free
    
    sed -i 's/xalloc/malloc/g; s/xcalloc/calloc/g; s/xrealloc/realloc/g;
     s/xfree(/free(/g'
    
    Also added a missing unistd.h include for usleep().
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Alex Deucher <alexdeucher@gmail.com>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit c6282487c4fc0f1180845292b425a241920af332
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Thu Dec 29 18:06:25 2011 +0000

    Add missing VERBLEV argument to xf86DrvMsgVerb()
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 6085552878aaeeb4aede096b88aeb153ef73cd5d
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:20:00 2011 -0500

    Fix for new vgahw ABI
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 6a26a16af1495cb13969ae7596bdf2bce16eec28
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:19:07 2011 -0500

    Fall back to shadowfb if XAA is unavailable
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 729e379f277ae94d4b1ae2d6bab46dceec9b30b1
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Nov 17 15:53:28 2011 -0500

    Check ABI major not encoded ABI
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 92b4671ca75022a56ad9e85b347f81c12157c98f
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Nov 16 14:58:29 2011 -0500

    Adapt to missing PIOOffset in videoabi 12
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit a568407e74082cd2304b95e0abee083a03ad62b8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:04 2010 -0400

    config: add comments for main statements

commit be262ccedd5910043be246efecc8a7a8157fce21
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e34f4157ba908b88f4f5054bfc77bbf42af1da10
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:37:41 2010 -0400

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ae2a791deceebaaf7a9ae47dc000f020491db2db
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:23 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1f0ca885cf47ecda982bffbdf25c43fe26aaac12
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1ddfe984facffac47101ff6d9c2d337ee911ab1e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:44:58 2010 -0400

    config: remove unrequired AC_SUBST([XORG_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 920f72d71a2d01e101ec06d28c4ec11d647f38b6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d409944a7265872abd3520c4486ec172d80b43c2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 19:41:31 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 900ba15ae2ef047d4e8f515ce166a11e44ce4de4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:19 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a72398e11a357055042332bb411f96f97c4155c2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 16:15:29 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.

commit f0ae83f0ae2a719f3da189b33c3a99c1d4249866
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jun 14 07:46:40 2010 -0400

    README: keep the text version of README, discard the sgml version
    
    The linuxdoc doc tool is deprecated.
    README files are exclusively text files.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 65630d633d695bee9ba7da57b7e3e9e66b87b1f3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jun 14 07:45:32 2010 -0400

    README: fix linuxdoc content
    
    defs.ent are located under X11 directory
    ident tag is not a Linuxdoc tag
    replace docbook email tag with linuxdoc email tag
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c26da404906258951341c4c4ace793f2dfdc47f8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 13 10:26:32 2010 -0400

    COPYING: update file with Copyright notices from source code.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 11fc32f5f06d20c1f651c3ccbbf2ecf22d9b5742
Author: Tiago Vignatti <tiago.vignatti@nokia.com>
Date:   Thu May 6 20:07:06 2010 +0300

    Remove superfluous commentary
    
    Signed-off-by: Tiago Vignatti <tiago.vignatti@nokia.com>

commit 67dd666460522d116860b4e7a79795e2743cd20b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Mar 27 10:27:14 2010 -0400

    config: rename TODO_NOTES and remove from EXTRA_DIST
    
    Automake always distribute the TODO file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3a3b1a1f0759531efb95ad94f2ec7e1d518b8547
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:53:29 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 58df014ecde6215a0f05aa6c92e891eb855b5632
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 22:01:02 2009 -0500

    configure.ac: remove unused sdkdir=$(pkg-config...) statement
    
    The sdkdir variable isn't use, so remove the statement.
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit de421f6cc713fd8323931dff84d1ff1660200860
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 083079fe65ba2cbdce48cba1ac74174cd4931969
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit abdd39c07ab0992588013f3fd3cfa1eba90b8af3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit cf60e891405c32d0874177ca43b32be74cc96eee
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:22 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit b2261b30b334fab87c661d1285b15b0e75d7ba28
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:18 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 1dba39e8f379f2c9852a9a71f08066edf83a541f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Sep 7 11:12:13 2009 -0400

    xf86-video-s3virge: Remove unused .cvsignore file #23776
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8abfc25662caf07911fd6e31d40b7db8b7c0cac1
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jul 30 12:04:28 2009 +1000

    s3virge: bump for release 1.10.4

commit 7db324f9d862cb9e11db480a1e6143aa01a81e3e
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jul 30 11:09:01 2009 +1000

    s3v: add include to ABI version

commit 20d8f38d667b565c56d8e161548fe7a70b8892f7
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 15:22:41 2009 +1000

    s3virge: change to using ABI version check

commit 664d41155a5f60fa8ccf9c00d819d71d7fe0a238
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:32:36 2009 +1000

    s3virge: update for resources/RAC API removal

commit c688ce43f935af22c23d58c692ffa501b88d9070
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 16 11:54:36 2009 +1000

    Update to xextproto 7.1 support.
    
    DPMS header was split into dpms.h (client) and dpmsconst.h (server). Drivers
    need to include dpmsconst.h if xextproto 7.1 is available.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 15a028c2a3a57198f5b64a8ca56ba075cc834768
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jul 2 11:36:57 2009 -0400

    s3virge 1.10.3

commit 4f3456b10b67f40a793609c7d25ec355d95fa83e
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu May 28 15:15:15 2009 -0400

    Remove useless loader symbol lists.

commit 7f563782c34e247c70b2a0271ce3d8c221510f3c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 30 20:59:35 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos

commit 731e70acccb5da4a630b0dd13a24f5d8f34903e8
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 9 16:33:16 2009 -0800

    Remove xorgconfig & xorgcfg from See Also list in man page

commit 188fc3302f61c7e6dfc92dd99f5938f732002616
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Dec 22 15:35:24 2008 +1000

    s3virge 1.10.2

commit 20d2095d85582662722c43f2b368bba676e4a790
Author: Christian Aistleitner <christian.aistleitner@gmx.at>
Date:   Mon Jul 14 06:56:00 2008 -0300

    Respect rotation upon ShadowFB initialization
    
    fixes ShadowFB initialization while respecting rotation
    
    The shadowFB is initialized using the screen's VirtualX for width and
    VirtualY for height and regardless of the rotation.
    
    When using the
      Option "Rotate" "CW"
    such initialization of the ShadowFB results in such a setup
    
    331
    331
    22
    
    although the correct setup would be
    
    33
    33
    33
    
    the 1s and 3s represent the usable workspace.
    the 2s and 3s represent the monitor.
    
    Signed-off-by: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>

commit 29e413c850e18f43dbd011689973399c5d7d340d
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jul 21 19:02:52 2008 -0300

    Correct calls to find_bios_string
    
      It was changed to receive a S3VPtr instead of a PCITAG in commit
    44aca1d9fe5c51e591aa5a33a3f46d3ad46dc0b9, for PCIACCESS conversion.
      But the callers were not updated, so, it is assumed that without
    this patch, the driver will just crash when calling find_bios_string.
    
    Signed-off-by: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>

commit fff6ce57c4bd78f39f3a2f45c820918c6e7a950b
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 15:54:36 2008 -0400

    s3virge 1.10.1

commit caa3a43d9798bdc82a3660df88e694e2e65df373
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 15:54:12 2008 -0400

    Fix typo in S3VValidMode.

commit aa4708390fb18a7089de66ef71c93745c856f6f4
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Apr 7 17:09:54 2008 -0400

    Bug #13243: Re-enable 24+32 framebuffer.
    
    This was just never enabled for the fb code path, but worked in cfb as
    far as anyone can tell.

commit 784547b5e4b62279d4dc608e3c0c4705ae18bb5d
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Mar 24 11:59:07 2008 -0400

    Nuke the useless UseFB option.

commit 344d00fc3b32cfb9871c4356224b55c296e0b1d6
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Mar 24 11:56:43 2008 -0400

    Bug #14298: Fix mode validation to be less ridiculous.
    
    The code sort of assumed you'd asked for a virtual size in the config file,
    either explicitly or through asking for a mode.  Autoconfiguration will
    default the virtual to zero though, so the constraint will fail, and then
    a mode we can't do will get through xf86ValidateModes().
    
    Just move the check to S3VValidMode where it belongs.

commit 127d572255eb125e65f2b5b5743bfd17b15b003c
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 19 15:04:49 2008 -0400

    s3virge 1.10.0

commit 187d5ee412877a6af0099a8be1c85d055bc52736
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 19 15:03:13 2008 -0400

    Fix distcheck

commit 02871fe68525edb40d0956dee7643caa773d2404
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 19 15:01:59 2008 -0400

    Death to RCS tags.

commit cda576024eb76835dfb08dd17ebe6c6c6b84769c
Author: Dave Airlie <airlied@clockmaker.usersys.redhat.com>
Date:   Mon Mar 10 15:01:10 2008 +1000

    oops fixed pointed out by pcpa

commit 44aca1d9fe5c51e591aa5a33a3f46d3ad46dc0b9
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Mar 10 13:19:01 2008 +1000

    s3virge: pciaccess conversion

commit 75edb6b05afa2e739c214d5c1321acd6b68409f2
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Mar 8 23:46:56 2008 +0100

    Makefile.am: nuke RCS Id

commit e3833f9ae20f5bc25918a1f95216246711bbdf4e
Author: Андрей Рандрианасулу <randrianasulu@mai <randrianasulu@mail.ru>
Date:   Thu Oct 25 21:35:53 2007 -0400

    Clean up: Remove some mga remains

commit ee9f04bd24892db06ad84c6372e3a03092fdb702
Author: Brice Goglin <bgoglin@debian.org>
Date:   Tue Aug 7 12:52:51 2007 +0200

    Define S3VIRGE_VERSION_* using PACKAGE_VERSION*

commit ca0f65b30bc050fbfe5ef77a02fcd4c75def3f01
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Mar 1 10:53:36 2007 -0800

    renamed: .cvsignore -> .gitignore

commit 7d8655ae45b81a26a0901187f03b0dc19dd51b13
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Mar 1 10:53:14 2007 -0800

    Replace references to XFree86/XF86Config in man page

commit de67c1d5005caf474d104265717edd41a65ab830
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Apr 8 01:40:56 2006 +0000

    Bump to 1.9.1 for Xv changes.

commit e460adf2caa0c0a7925f89ea62d17d4f0d3a8757
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Apr 7 23:12:35 2006 +0000

    Add a DrawablePtr argument to the XV functions to pave the way for
        redirected video.

commit 2796accd84d93651cb654329815dc8880e34ea68
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 7 20:50:21 2006 +0000

    Unlibcwrap. Bump server version requirement. Bump to 1.9.0

commit 018a01800804c218123f686c30e4a86a9aca4d9f
Author: Luc Verhaegen <libv@skynet.be>
Date:   Wed Feb 8 16:17:05 2006 +0000

    S3V: Remove another insane use of pScrn->clock. Code ended up being ignored
        anyway.

commit afad0ef3b02f19b10bc9cb65be7aba52ded700f7
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:30:02 2005 +0000

    Update package version for X11R7 release.

commit 8fa0dd5c8b325bdf15d5cd19b4b1ee3f60705e74
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:25:54 2005 +0000

    Stub COPYING files

commit f0e535c17f3e69cf1e2a189ef4f6ae78d772f3c9
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:18 2005 +0000

    Update package version number for final X11R7 release candidate.

commit f739da84b0f39a30c171577c0f52e992c251a750
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:37 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 1a3f4df69efbe3f1a0d85f123f55d31f402ac0d6
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:34 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 2b8250699422bac9c6faeb4d73cb6440cd9f08e7
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Dec 2 02:16:09 2005 +0000

    Remove extraneous AC_MSG_RESULT.

commit 74dc48a434d092a19bcc66aff6a723a4286e8b05
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Nov 29 23:30:02 2005 +0000

    Only build dlloader modules by default.

commit b16ae2403e98a9c54994c6c44d35b57dbb54b72a
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:04:10 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 3ff07398b233e87b2bbc74ebf66519fed4291419
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:49:17 2005 +0000

    Add .cvsignores for drivers.

commit ec6ff9e1b6bfbdee3127d2c6d0f5a5378098e5d3
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:15:20 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 324358600856415c6133a1c71f46d0f43a98dd07
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:08:54 2005 +0000

    Update pkgcheck depedencies to work with separate build roots.

commit ed7767ca7ef09ce8c8b9352b606310055465ff67
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:04 2005 +0000

    Update package version number for RC1 release.

commit 9432a148ace59e6bf3228fddcbbf56f828cd71bb
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:01:54 2005 +0000

    Use @DRIVER_MAN_SUFFIX@ instead of $(DRIVER_MAN_SUFFIX) in macro
        substitutions to work better with BSD make

commit 70f8ca96c8e9caf27a3d41b9a801816652fd53e8
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Oct 17 22:57:35 2005 +0000

    More 1.7 braindamage: define EXTRA_DIST in terms of @DRIVER_NAME@ instead
        of indirectly

commit 8ceb60e19a8793e91c917bf66f91547607cab4c7
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 00:09:05 2005 +0000

    Use sed & cpp to substitute variables in driver man pages

commit 7a84a2af7d6d6cf5b05360756b8dcbfb871a8dc6
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Tue Oct 4 20:01:03 2005 +0000

    Check in generated README files

commit 31b03fe09b150de15f7b6c14d275be3ca33b4c85
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Mon Oct 3 21:22:08 2005 +0000

    - For all drivers that have a <driver>.sgml file, add code in their build
        system to build the README file at make dist time
    - in util/macros/xorg-macros.m4, add a new XORG_CHECK_LINUXDOC macro that
        will check if the required tools and files exist, and if so set a
        conditional.
    - util/modular/symlink.sh
    - Link all the <driver>.sgml to xf86-video-<driver>/README.sgml
    - Add all the README.<driver> to the list of excluded files
    - xc/programs/Xserver/hw/xfree86/doc/sgml/SiS.sgml: Various changes to make
        it spew less warnings when the text file is built.

commit 033dea549d36e031c11e2d311c9a91e29ae63068
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Tue Sep 27 22:01:31 2005 +0000

    Add some more documentation files for s3virge driver

commit da221f862e6604c19c6dc56b4bf0e9a50cddea47
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Aug 18 09:03:48 2005 +0000

    Update autogen.sh to one that does objdir != srcdir.

commit 0bf7a921ffe886f5db73ae698b25ec546ae3a0ed
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:44 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit e1f25d5478cb252b3186b13a57130a676d0e6c05
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Tue Jul 26 18:47:44 2005 +0000

    Build system for s3virge

commit dfe9966ee9db8e2eda43e11fe9ccf981bdcd1461
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Jul 11 02:29:59 2005 +0000

    Prep for modular builds by adding guarded #include "config.h" everywhere.

commit 07f088b855df57a0257d748ab490a01640dc8a71
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Jun 25 21:16:56 2005 +0000

    Bug #3626: _X_EXPORT tags for video and input drivers.

commit ccb5c4209d36e66d557727f9534ccc1a3cf07f6d
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Apr 20 12:25:29 2005 +0000

    Fix includes right throughout the Xserver tree:
    change "foo.h" to <X11/foo.h> for core headers, e.g. X.h, Xpoll.h;
    change "foo.h", "extensions/foo.h" and "X11/foo.h" to
        <X11/extensions/foo.h> for extension headers, e.g. Xv.h;
    change "foo.[ch]" to <X11/Xtrans/foo.[ch]> for Xtrans files.

commit bf5fc4151b70e17df31b780e25f1abc8e4b960b4
Author: Markus Kuhn <Markus.Kuhn@cl.cam.ac.uk>
Date:   Sat Dec 4 00:43:09 2004 +0000

    Encoding of numerous files changed to UTF-8

commit b578b52fce3113e36d91db23d0587145e2e1775a
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Sep 17 03:04:53 2004 +0000

    Bug #1192: Remove cfb support from drivers where its use is an option.
        Delete xf24_32bpp, as s3virge was the last user. Fix up some comments
        to refer to fb rather than cfb.

commit a1b008b69196fc7a3c67a6468da6d216d9e4d5c0
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Aug 16 09:13:14 2004 +0000

    Bug #1087: Make sure all the *Weak symbols are documented in the import
        list, so the loader knows not to complain about unresolved symbols when
        an optional module isn't loaded. This typically manifests as warnings
        about fbdevHW symbols when the user isn't using the framebuffer
